#!/usr/bin/python
#
#   PROGRAM:     Firebird PowerConsole
#   MODULE:      stdhelp.py
#   DESCRIPTION: Standard independent help topics
#
#  The contents of this file are subject to the Initial
#  Developer's Public License Version 1.0 (the "License");
#  you may not use this file except in compliance with the
#  License. You may obtain a copy of the License at
#  http://www.ibphoenix.com/main.nfs?a=ibphoenix&page=ibp_idpl.
#
#  Software distributed under the License is distributed AS IS,
#  WITHOUT WARRANTY OF ANY KIND, either express or implied.
#  See the License for the specific language governing rights
#  and limitations under the License.
#
#  The Original Code was created by Pavel Cisar
#  for the Firebird Open Source RDBMS project.
#  http://www.firebirdsql.org
#
#  Copyright (c) 2006 Pavel Cisar <pcisar@users.sourceforge.net>
#  and all contributors signed below.
#
#  All Rights Reserved.
#  Contributor(s): ______________________________________.

from fbpw.common import pwHelpProvider

class helpPython(pwHelpProvider):
    def help_python(self):
        self._help()

class helpExamples(pwHelpProvider):
    help_static_help = """This is an example of static help definition in help provider."""
    def help_dynamic_help(self):
        print """This is a sample of dynamic help in help provider."""
